aboutsummaryrefslogtreecommitdiffstats
path: root/config/pe
diff options
context:
space:
mode:
authorPamela Dragosh <pdragosh@research.att.com>2017-06-26 11:50:17 +0000
committerGerrit Code Review <gerrit@onap.org>2017-06-26 11:50:17 +0000
commitc4a96f1941743150108629a8849796fe9f32b427 (patch)
tree7090cb0a620814d2bc309be203e4c8b90533a3bc /config/pe
parent16ca598e3456e3532ab1f55b27c1ac12f88ba4be (diff)
parenta5b84f9d95cb60cab0c11659b3ac960d0f7f2789 (diff)
Merge "[POLICY-24] correct hardcoded versions in non-pom."
Diffstat (limited to 'config/pe')
-rwxr-xr-xconfig/pe/brmsgw-tweaks.sh22
1 files changed, 17 insertions, 5 deletions
diff --git a/config/pe/brmsgw-tweaks.sh b/config/pe/brmsgw-tweaks.sh
index 350b9c70..d318d4d1 100755
--- a/config/pe/brmsgw-tweaks.sh
+++ b/config/pe/brmsgw-tweaks.sh
@@ -13,14 +13,26 @@ fi
source "${POLICY_HOME}/etc/build.info"
+if [ -z "${version}" ]; then
+ echo "error: no version information present"
+ exit 1
+fi
+
for CONFIG in ${PROPS_RUNTIME} ${PROPS_INSTALL}; do
if [ ! -f "${CONFIG}" ]; then
echo "warning: configuration does not exist: ${CONFIG}"
else
- if [ -n "${version}" ]; then
- /bin/sed -i -e "s/brms.dependency.version=.*/brms.dependency.version=${version}/g" "${CONFIG}"
- else
- echo "error: no version information present"
- fi
+ sed -i -e "s/brms.dependency.version=.*/brms.dependency.version=${version}/g" "${CONFIG}"
+ fi
+done
+
+DEPS_JSON_RUNTIME="${POLICY_HOME}/servers/brmsgw/dependency.json"
+DEPS_JSON_INSTALL="${POLICY_HOME}/install/servers/brmsgw/dependency.json"
+
+for DEP in ${DEPS_JSON_RUNTIME} ${DEPS_JSON_INSTALL}; do
+ if [ ! -f "${DEP}" ]; then
+ echo "warning: configuration does not exist: ${DEP}"
+ else
+ sed -i -e "s/\"version\":.*/\"version\": \"${version}\"/g" "${DEP}"
fi
done